Skip to main content
GET
/
v3
/
rank-tracking
/
top-keywords
Top keywords from GSC
curl --request GET \
  --url https://api.snowseo.com/v3/rank-tracking/top-keywords \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "keyword": "<string>",
      "clicks": 123,
      "impressions": 123,
      "ctr": 123,
      "position": 123,
      "isStarred": true,
      "languageId": "<string>",
      "clicksChange": 123,
      "impressionsChange": 123,
      "ctrChange": 123,
      "positionChange": 123
    }
  ]
}
Get your top-performing keywords sorted by their current search position. Useful for spotting which keywords are driving the most visibility.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamId
string

Team ID

startDate
string

Start date (YYYY-MM-DD, UTC). Preferred over days.

endDate
string

End date (YYYY-MM-DD, UTC). Preferred over days.

days
integer

Number of days to look back (legacy fallback)

device
string

Device filter

type
string

Search type filter

country
string

Country filter

limit
integer

Max results

includeComparison
string

Include period-over-period comparison

currentPeriodDays
integer

Days in current period (legacy fallback)

previousPeriodDays
integer

Days in previous period (legacy fallback)

Response

Default Response

items
object[]